diff -Nru cmake-2.8.12.1/debian/changelog cmake-2.8.12.1/debian/changelog
--- cmake-2.8.12.1/debian/changelog	2014-05-26 13:36:01.000000000 +0200
+++ cmake-2.8.12.1/debian/changelog	2014-07-24 23:24:27.000000000 +0200
@@ -1,3 +1,14 @@
+cmake (2.8.12.1-1.5) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Detect the version string of Freetype 2.5. (Closes: #732182)
+    - Add fix-FindFreetype-version.diff, cherry-picked from upstream.
+  * Detect the multi-arch ImageMagick include dirs. (Closes: #747907)
+    - Add fix-FindImageMagick-1.diff and fix-FindImageMagick-2.diff,
+      cherry-picked from upstream.
+
+ -- Felix Geyer <fgeyer@debian.org>  Tue, 22 Jul 2014 21:18:39 +0200
+
 cmake (2.8.12.1-1.4) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -Nru cmake-2.8.12.1/debian/patches/fix-FindFreetype-version.diff cmake-2.8.12.1/debian/patches/fix-FindFreetype-version.diff
--- cmake-2.8.12.1/debian/patches/fix-FindFreetype-version.diff	1970-01-01 01:00:00.000000000 +0100
+++ cmake-2.8.12.1/debian/patches/fix-FindFreetype-version.diff	2014-07-22 21:12:36.000000000 +0200
@@ -0,0 +1,33 @@
+From bc49d820a276243324003bc34d92a69194938adf Mon Sep 17 00:00:00 2001
+From: "Daniele E. Domenichelli" <daniele.domenichelli@iit.it>
+Date: Mon, 9 Dec 2013 19:33:42 +0100
+Subject: [PATCH] FindFreetype: Detect version string with Freetype 2.5
+
+---
+ Modules/FindFreetype.cmake |   10 ++++++++--
+ 1 file changed, 8 insertions(+), 2 deletions(-)
+
+diff --git a/Modules/FindFreetype.cmake b/Modules/FindFreetype.cmake
+index 9520f7d..1f12ba6 100644
+--- a/Modules/FindFreetype.cmake
++++ b/Modules/FindFreetype.cmake
+@@ -103,8 +103,14 @@ if(FREETYPE_INCLUDE_DIR_ft2build AND FREETYPE_INCLUDE_DIR_freetype2)
+ endif()
+ set(FREETYPE_LIBRARIES "${FREETYPE_LIBRARY}")
+ 
+-if(FREETYPE_INCLUDE_DIR_freetype2 AND EXISTS "${FREETYPE_INCLUDE_DIR_freetype2}/freetype/freetype.h")
+-    file(STRINGS "${FREETYPE_INCLUDE_DIR_freetype2}/freetype/freetype.h" freetype_version_str
++if(EXISTS "${FREETYPE_INCLUDE_DIR_freetype2}/freetype/freetype.h")
++  set(FREETYPE_H "${FREETYPE_INCLUDE_DIR_freetype2}/freetype/freetype.h")
++elseif(EXISTS "${FREETYPE_INCLUDE_DIR_freetype2}/freetype.h")
++  set(FREETYPE_H "${FREETYPE_INCLUDE_DIR_freetype2}/freetype.h")
++endif()
++
++if(FREETYPE_INCLUDE_DIR_freetype2 AND FREETYPE_H)
++    file(STRINGS "${FREETYPE_H}" freetype_version_str
+          REGEX "^#[\t ]*define[\t ]+FREETYPE_(MAJOR|MINOR|PATCH)[\t ]+[0-9]+$")
+ 
+     unset(FREETYPE_VERSION_STRING)
+-- 
+1.7.10.4
+
diff -Nru cmake-2.8.12.1/debian/patches/fix-FindImageMagick-1.diff cmake-2.8.12.1/debian/patches/fix-FindImageMagick-1.diff
--- cmake-2.8.12.1/debian/patches/fix-FindImageMagick-1.diff	1970-01-01 01:00:00.000000000 +0100
+++ cmake-2.8.12.1/debian/patches/fix-FindImageMagick-1.diff	2014-07-24 22:27:39.000000000 +0200
@@ -0,0 +1,55 @@
+From 6f5581c105d59ed00cc065b9ab9b3c8c0a441db3 Mon Sep 17 00:00:00 2001
+From: bastien ROUCARIES <roucaries.bastien@gmail.com>
+Date: Tue, 22 Jul 2014 22:24:15 +0200
+Subject: [PATCH] FindImageMagick: Find arch include dir (#15007)
+
+---
+ Modules/FindImageMagick.cmake |   19 ++++++++++++++++++-
+ 1 file changed, 18 insertions(+), 1 deletion(-)
+
+diff --git a/Modules/FindImageMagick.cmake b/Modules/FindImageMagick.cmake
+index f6c8b3a..33f95ce 100644
+--- a/Modules/FindImageMagick.cmake
++++ b/Modules/FindImageMagick.cmake
+@@ -115,7 +115,19 @@ function(FIND_IMAGEMAGICK_API component header)
+       "[HKEY_LOCAL_MACHINE\\SOFTWARE\\ImageMagick\\Current;BinPath]/include"
+     PATH_SUFFIXES
+       ImageMagick ImageMagick-6
+-    DOC "Path to the ImageMagick include dir."
++    DOC "Path to the ImageMagick arch-independent include dir."
++    )
++  find_path(ImageMagick_${component}_ARCH_INCLUDE_DIR
++    NAMES magick/magick-baseconfig.h
++    HINTS
++      ${PC_${component}_INCLUDEDIR}
++      ${PC_${component}_INCLUDE_DIRS}
++    PATHS
++      ${ImageMagick_INCLUDE_DIRS}
++      "[HKEY_LOCAL_MACHINE\\SOFTWARE\\ImageMagick\\Current;BinPath]/include"
++    PATH_SUFFIXES
++      ImageMagick ImageMagick-6
++    DOC "Path to the ImageMagick arch-specific include dir."
+     )
+   find_library(ImageMagick_${component}_LIBRARY
+     NAMES ${ARGN}
+@@ -127,12 +139,17 @@ function(FIND_IMAGEMAGICK_API component header)
+     DOC "Path to the ImageMagick Magick++ library."
+     )
+ 
++  # old version have only indep dir
+   if(ImageMagick_${component}_INCLUDE_DIR AND ImageMagick_${component}_LIBRARY)
+     set(ImageMagick_${component}_FOUND TRUE PARENT_SCOPE)
+ 
+     list(APPEND ImageMagick_INCLUDE_DIRS
+       ${ImageMagick_${component}_INCLUDE_DIR}
+       )
++    if(ImageMagick_${component}_ARCH_INCLUDE_DIR)
++      list(APPEND ImageMagick_INCLUDE_DIRS
++        ${ImageMagick_${component}_ARCH_INCLUDE_DIR})
++    endif()
+     list(REMOVE_DUPLICATES ImageMagick_INCLUDE_DIRS)
+     set(ImageMagick_INCLUDE_DIRS ${ImageMagick_INCLUDE_DIRS} PARENT_SCOPE)
+ 
+-- 
+1.7.10.4
+
diff -Nru cmake-2.8.12.1/debian/patches/fix-FindImageMagick-2.diff cmake-2.8.12.1/debian/patches/fix-FindImageMagick-2.diff
--- cmake-2.8.12.1/debian/patches/fix-FindImageMagick-2.diff	1970-01-01 01:00:00.000000000 +0100
+++ cmake-2.8.12.1/debian/patches/fix-FindImageMagick-2.diff	2014-07-24 22:27:44.000000000 +0200
@@ -0,0 +1,41 @@
+From 1342e0222fed06f748f266a3a4e82c907cb76726 Mon Sep 17 00:00:00 2001
+From: Brad King <brad.king@kitware.com>
+Date: Wed, 23 Jul 2014 15:33:48 -0400
+Subject: [PATCH] FindImageMagick: Provide per-component include dirs (#15007)
+
+Set the ImageMagick_<component>_INCLUDE_DIRS variable that is mentioned
+in the documentation but was not set before.
+---
+ Modules/FindImageMagick.cmake |   11 +++++++++--
+ 1 file changed, 9 insertions(+), 2 deletions(-)
+
+diff --git a/Modules/FindImageMagick.cmake b/Modules/FindImageMagick.cmake
+index 33f95ce..65458b7 100644
+--- a/Modules/FindImageMagick.cmake
++++ b/Modules/FindImageMagick.cmake
+@@ -143,13 +143,20 @@ function(FIND_IMAGEMAGICK_API component header)
+   if(ImageMagick_${component}_INCLUDE_DIR AND ImageMagick_${component}_LIBRARY)
+     set(ImageMagick_${component}_FOUND TRUE PARENT_SCOPE)
+ 
+-    list(APPEND ImageMagick_INCLUDE_DIRS
++    # Construct per-component include directories.
++    set(ImageMagick_${component}_INCLUDE_DIRS
+       ${ImageMagick_${component}_INCLUDE_DIR}
+       )
+     if(ImageMagick_${component}_ARCH_INCLUDE_DIR)
+-      list(APPEND ImageMagick_INCLUDE_DIRS
++      list(APPEND ImageMagick_${component}_INCLUDE_DIRS
+         ${ImageMagick_${component}_ARCH_INCLUDE_DIR})
+     endif()
++    list(REMOVE_DUPLICATES ImageMagick_${component}_INCLUDE_DIRS)
++    set(ImageMagick_${component}_INCLUDE_DIRS
++      ${ImageMagick_${component}_INCLUDE_DIRS} PARENT_SCOPE)
++
++    # Add the per-component include directories to the full include dirs.
++    list(APPEND ImageMagick_INCLUDE_DIRS ${ImageMagick_${component}_INCLUDE_DIRS})
+     list(REMOVE_DUPLICATES ImageMagick_INCLUDE_DIRS)
+     set(ImageMagick_INCLUDE_DIRS ${ImageMagick_INCLUDE_DIRS} PARENT_SCOPE)
+ 
+-- 
+1.7.10.4
+
diff -Nru cmake-2.8.12.1/debian/patches/series cmake-2.8.12.1/debian/patches/series
--- cmake-2.8.12.1/debian/patches/series	2014-05-26 13:31:59.000000000 +0200
+++ cmake-2.8.12.1/debian/patches/series	2014-07-24 22:28:08.000000000 +0200
@@ -8,3 +8,6 @@
 fix-FindFreetype.diff
 FindRuby_support_Ruby_2.diff
 FindJNI.cmake.mips.patch
+fix-FindImageMagick-1.diff
+fix-FindImageMagick-2.diff
+fix-FindFreetype-version.diff
